Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class WarbotEnvironment

    java.lang.Object
      madkit.kernel.AbstractAgent
          warbot.kernel.WarbotEnvironment

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public final class WarbotEnvironment

extends AbstractAgent

See Also:
  Serialized Form

Field Summary
`static int` | `EXPLORER`
`static int` | `HAMBURGER`
`static int` | `HOME`
`static int` | `PALMTREE`
`static int` | `ROCKETLAUNCHER`
`static java.lang.String[]` | `TYPES`
`static int` | `WALL`
`warbot.kernel.Environment2D` | `world`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, end, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, initGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HOME

    public static final int HOME

See Also:
  Constant Field Values

### WALL

    public static final int WALL

See Also:
  Constant Field Values

### PALMTREE

    public static final int PALMTREE

See Also:
  Constant Field Values

### HAMBURGER

    public static final int HAMBURGER

See Also:
  Constant Field Values

### ROCKETLAUNCHER

    public static final int ROCKETLAUNCHER

See Also:
  Constant Field Values

### EXPLORER

    public static final int EXPLORER

See Also:
  Constant Field Values

### TYPES

    public static final java.lang.String[] TYPES

### world

    public warbot.kernel.Environment2D world

Method Detail

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.